# IRdUVTriangleStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumUVTripleIndices ([out, retval] RtDWORD *dwNumTripleIndices)
HRESULT | SetNumUVTripleIndices ([in] RtDWORD dwNumUVTripleIndices)
## Properties
RtUlong * | i ([in] RtDWORD dwIndex)`[get]`
RtUlong | i ([in] RtDWORD dwIndex)`[set]`
RtUlong * | j ([in] RtDWORD dwIndex)`[get]`
RtUlong | j ([in] RtDWORD dwIndex)`[set]`
RtUlong * | k ([in] RtDWORD dwIndex)`[get]`
RtUlong | k ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdTriangleEdgesStream:

- Stores UV coordinates indices for each triangle.
- Data stream for this index stream are held by IRdUVCoordStream.
- The stream is part of IRdMesh and is stored in Triangle stream group.
- Stream is identified by STREAMID_TRIANGLES_UVS_1 id.

## Member Function Documentation

HRESULT IRdUVTriangleStream::GetNumUVTripleIndices | ( | [out, retval] RtDWORD * | dwNumTripleIndices | ) |

Get number of triangles.

Returns:
  dwNumTripleIndices [out,retval] Returns number of triangles found in stream.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdUVTriangleStream::SetNumUVTripleIndices | ( | [in] RtDWORD | dwNumUVTripleIndices | ) |

Set number of triangles.

Parameters:

  | dwNumUVTripleIndices | [in] Value to set for number of triangles in stream.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtUlong * IRdUVTriangleStream::i([in] RtDWORD dwIndex)`[get]`

Get index of first UV coordinate of i-th triangle. (i).

Parameters:

  | dwIndex | [in] Triangle index value.

Returns:
  pVal [out,retval] Returns index value for first UVcoordinate. (i).

  standard HRESULT processing can be applied to returned value.

RtUlong IRdUVTriangleStream::i([in] RtDWORD dwIndex)`[set]`

Set index of first UV coordinate of i-th triangle. (i).

Parameters:

  | dwIndex | [in] Triangle index value.
  | newVal | [in] Set index value for first UVcoordinate. (i).

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong * IRdUVTriangleStream::j([in] RtDWORD dwIndex)`[get]`

Get index of second UV coordinate of i-th triangle. (j).

Parameters:

  | dwIndex | [in] Triangle index value.

Returns:
  pVal [out,retval] Returns index value for second UVcoordinate. (j).

  standard HRESULT processing can be applied to returned value.

RtUlong IRdUVTriangleStream::j([in] RtDWORD dwIndex)`[set]`

Set index of second UV coordinate of i-th triangle. (j).

Parameters:

  | dwIndex | [in] Triangle index value.
  | newVal | [in] Set index value for second UVcoordinate. (j).

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong* IRdUVTriangleStream::k([in] RtDWORD dwIndex)`[get]`

Get index of third UV coordinate of i-th triangle. (k).

Parameters:

  | dwIndex | [in] Triangle index value.

Returns:
  pVal [out,retval] Returns index value for third UVcoordinate. (k).

  standard HRESULT processing can be applied to returned value.

RtUlong IRdUVTriangleStream::k([in] RtDWORD dwIndex)`[set]`

Set index of third UV coordinate of i-th triangle. (k).

Parameters:

  | dwIndex | [in] Triangle index value.
  | newVal | [in] Set index value for third UVcoordinate. (k).

Returns:
  standard HRESULT processing can be applied to returned value.